<!DOCTYPE html>
<html lang="en" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>New Ship</title>
</head>
<body>
    <h1>Add New Ship To Port</h1>
    <form th:action="@{/add-ship}" th:object="${ship}" method="post">
        <label for="shipName">Ship's Name</label>
        <input type="text" th:field="*{name}" th:text="*{name}" id="shipName">

        <label for="shipAge">Year Built</label>
        <input type="text" th:field="*{buildYear}" id="shipAge">

        <label for="shipImg">Link of Picture</label>
        <input type="url" th:field="*{imgLink}" id="shipImg">

        <input type="submit">
    </form>
    <a href="/">Back to home</a>
</body>
</html>